I have OS X Leopard 10.5.8 and 1 Password 2.0. In upgrading both, should I upgrade to 1 Password 3.0 or Snow Leopard first?

Back To Product

Follow this Question

1 Answer from the Community

  • Unfortunately 1Password 2 runs on Leopard, so upgrading to Snow Leopard will not allow it to work properly. You can upgrade to 1Password 3 to work with Snow Leopard

    Was this useful? Answer 1

    0 of 0 people found this useful

Related Questions